For the complete documentation index, see llms.txt. This page is also available as Markdown.

Files

Upload and download workspace-level files

Upload a file

post

Upload a file at the workspace level. Once used in a submission it cannot be reused. Send raw binary as the body with the correct Content-Type header.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_shortstringRequired

Short name of the workspace instance (e.g. daxium-test)

Body
string · binaryOptional
Responses
200

File uploaded

application/json
uuidstring · uuidOptional

Reference this UUID in submission fields of type image/signature/file

mime-typestringOptional
sizeintegerOptional

File size in bytes

post/{app_short}/files/upload
200

File uploaded

Download an error file

get

Returns the error file generated by a background worker.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
app_shortstringRequired

Short name of the workspace instance (e.g. daxium-test)

worker_unique_idstring · uuidRequired

Unique worker identifier (UUID)

Responses
200

Binary file content

application/octet-stream
string · binaryOptional
get/{app_short}/files/download_errors/{worker_unique_id}
200

Binary file content

Last updated

Was this helpful?